Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Aave Hourly Snapshots

Returns 30 days of hourly snapshots. This endpoint returns data for every asset in the selected market in a single response which can be useful for market overview analysis. See hourly history for per-asset history over longer timeframes. View full response field definitions.

GET /v2/hourly-snapshots/{marketSlug}

Query parameters

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/hourly-snapshots/aave-v3-ethereum?apiKey=YOUR_KEY"

Example response (snippet)

{
  "marketSlug": "aave-v3-ethereum",
  "hourlySnapshots": [
    {
      "targetDate": "2026-04-09T14:00:00Z",
      "timestamp": 1775743200,
      "blockNumber": 24842615,
      "blockTimestamp": 1775743199,
      "reservesSnapshot": [
        {
          "symbol": "WETH",
          "reserve": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
          "price": "2165.535",
          "supplyApr": "0.017995230263466573968503584",
          "borrowApr": "0.023254620616992140439438168",
          "totalSupplied": "2923131.1834329982549382",
          "totalBorrowed": "2661296.101570138331966561",
          "supplyIndex": "1.062433578317057184507800461",
          "borrowIndex": "1.095109738072440561881581"
        }
      ]
    }
  ]
}